
public class Fraction
{
    private int numerator;
    private int denominator;
    
    /**
     * @param n numerator
     * @param d denominator; must not be zero; must not be negative
     * @throws IllegalArgumentException if denominator is zero
     * @throws IllegalArgumentException if denominator is negative
     */
    public Fraction(int n, int d) throws ZeroDenomException, NegativeDenomException {
    //public Fraction(int n, int d) throws FractionException { // takto ne!
        if (d == 0) {
            throw new ZeroDenomException(d);
        }
        if (d < 0) {
            throw new NegativeDenomException(d);
        }
        numerator = n;
        denominator = d;
    }
    
    @Override
    public String toString() {
        return numerator + "/" + denominator;
    }
    
    public void add(Fraction fr) {
        int den = fr.denominator;
        // code
    }
}
