public class FractionException extends Exception {
    
    private int denom;
    
    public FractionException(int denom) {
        this.denom = denom;
    }
    
    public FractionException(String msg) {
        super(msg);
    }
    
    public FractionException(Throwable cause) {
        super(cause);
    }
    
    public FractionException(String msg, Throwable cause) {
        super(msg, cause);
    }
    
    public int getDenominator() {
        return denom;
    }
}
